Cantera 2.6.0

Public Attributes | List of all members
isotopeWeightData Struct Reference

## Public Attributes
string | symbol
| Isotope symbol, first letter capitalized. More...
string | fullName
| Isotope full name, first letter lowercase. More...
double | atomicWeight
| Isotope atomic weight in kg / kg-mol. More...
int | atomicNumber
| Isotope atomic number. More...

## Detailed Description

Database for named isotopic weights Values are used from Kim S, Chen J, Cheng T, Gindulyte A, He J, He S, Li Q, Shoemaker BA, Thiessen PA, Yu B, Zaslavsky L, Zhang J, Bolton EE. PubChem 2019 update: improved access to chemical data. Nucleic Acids Res. 2019 Jan 8; 47(D1):D1102-1109. doi:10.1093/nar/gky1033. [PubMed PMID:30371825]

units = kg / kg-mol (or equivalently gm / gm-mol)

This structure was picked because it's simple, compact, and extensible.

Definition at line 53 of file Elements.cpp.

## Member Data Documentation

## ◆ symbol

string symbol

Isotope symbol, first letter capitalized.

Definition at line 54 of file Elements.cpp.

Referenced by Cantera::getElementSymbol().

## ◆ fullName

string fullName

Isotope full name, first letter lowercase.

Definition at line 55 of file Elements.cpp.

Referenced by Cantera::getElementName().

## ◆ atomicWeight

double atomicWeight

Isotope atomic weight in kg / kg-mol.

Definition at line 56 of file Elements.cpp.

Referenced by Cantera::getElementWeight().

## ◆ atomicNumber

int atomicNumber

Isotope atomic number.

Definition at line 57 of file Elements.cpp.

Referenced by Cantera::getAtomicNumber().

The documentation for this struct was generated from the following file:

- Elements.cpp